summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBastien Nocera <hadess@src.gnome.org>2002-09-24 22:53:43 +0000
committerBastien Nocera <hadess@src.gnome.org>2002-09-24 22:53:43 +0000
commit1b0e7c25319e8a762920b16823fb515d08714c02 (patch)
treec387e657504479d12627cfe0c7b4e77a88e15aa1
parentc70fcf7c3b938c9d7f19544023a2c3dbab29bb04 (diff)
downloadshared-mime-info-1b0e7c25319e8a762920b16823fb515d08714c02.tar.gz
09-23 Bastien Nocera <hadess@hadess.net>
* autogen.sh: exit if aclocal, autoheader, automake or autoconf fails to run without warnings. Usually compilation would fail afterwards with funky errors. This is more anal than the version committed to the gnome-2-0 branch svn path=/trunk/; revision=2597
-rw-r--r--macros2/ChangeLog7
-rw-r--r--macros2/autogen.sh47
2 files changed, 50 insertions, 4 deletions
diff --git a/macros2/ChangeLog b/macros2/ChangeLog
index 7c721882..13988fe8 100644
--- a/macros2/ChangeLog
+++ b/macros2/ChangeLog
@@ -1,3 +1,10 @@
+2002-09-23 Bastien Nocera <hadess@hadess.net>
+
+ * autogen.sh: exit if aclocal, autoheader, automake or autoconf
+ fails to run without warnings. Usually compilation would fail
+ afterwards with funky errors.
+ This is more anal than the version committed to the gnome-2-0 branch
+
2002-08-18 Havoc Pennington <hp@pobox.com>
* autogen.sh: hardcode aclocal-1.4/automake-1.4 so that users with
diff --git a/macros2/autogen.sh b/macros2/autogen.sh
index 7be40a7b..10e1b367 100644
--- a/macros2/autogen.sh
+++ b/macros2/autogen.sh
@@ -153,15 +153,54 @@ do
fi
echo "Running aclocal $aclocalinclude ..."
- aclocal-1.4 $aclocalinclude
+ aclocal-1.4 $aclocalinclude || {
+ echo
+ echo "**Error**: \`aclocal' failed. Please fix the warnings"
+ echo "(probably missing development files) and try again."
+ DIE=1
+ }
+
+ if test "$DIE" -eq 1; then
+ exit 1
+ fi
+
if grep "^AM_CONFIG_HEADER" $bn >/dev/null; then
echo "Running autoheader..."
- autoheader
+ autoheader || {
+ echo
+ echo "**Error**: \`autoheader' failed. Please fix the warnings"
+ echo "(probably missing development files) and try again."
+ DIE=1
+ }
+
+ if test "$DIE" -eq 1; then
+ exit 1
+ fi
+
fi
echo "Running automake --gnu $am_opt ..."
- automake-1.4 --add-missing --gnu $am_opt
+ automake-1.4 --add-missing --gnu $am_opt || {
+ echo
+ echo "**Error**: \`automake' failed. Please fix the warnings"
+ echo "(probably missing development files) and try again."
+ DIE=1
+ }
+
+ if test "$DIE" -eq 1; then
+ exit 1
+ fi
+
echo "Running autoconf ..."
- autoconf
+ autoconf || {
+ echo
+ echo "**Error**: \`autoconf' failed. Please fix the warnings"
+ echo "(probably missing development files) and try again."
+ DIE=1
+ }
+
+ if test "$DIE" -eq 1; then
+ exit 1
+ fi
)
fi
done